Name: xfce-settings-myalt
Version: 1.0
Release: alt2
BuildArch: noarch

Source:%name-%version.tar.bz2

Summary: Xfce4 settings for MyAlt GNU/Linux distribution
Summary(ru_RU.UTF8): Стандартные настройки Xfce для сборки MyAlt GNU/Linux
License: GPL
Group: System/Configuration/Other
Packager: Denis Koryavov <dkoryavov@altlinux.org>

Requires: etcskel xfce-theme-myalt 
Requires: gnome-icon-theme icon-theme-gnome-colors-brave icon-theme-gnome-colors-human
Requires: design-graphics-lite

Obsoletes: xfce-settings-desktop

Conflicts: xfce-settings-lite xfce-settings-lite-office-superlite xfce-settings-lite-office-lite xfce-settings-lite-network 
Conflicts: xfce-settings-lite-school xfce-settings-lite-school-office-superlite xfce-settings-lite-school-xfce-office-lite 
Conflicts: xfce-settings-lite-school-xfce-network-lite

%description
This package contains default settings for Xfce 4.6 for MyAlt GNU/Linux distribution.

%description -l ru_RU.UTF-8 
Данный пакет содержит в себе настройки Xfce 4.6 используемые по умолчанию в сборке
MyAlt GNU/Linux.

%prep
%setup -q

%install

mkdir -p %buildroot/etc/skel/.config/Terminal
mkdir -p %buildroot/etc/skel/.config/Thunar
mkdir -p %buildroot/etc/skel/.config/autostart

mkdir -p %buildroot/etc/skel/.config/xfce4/desktop
mkdir -p %buildroot/etc/skel/.config/xfce4/notication-daemon-xfce
mkdir -p %buildroot/etc/skel/.config/xfce4/panel
mkdir -p %buildroot/etc/skel/.config/xfce4/xfconf
mkdir -p %buildroot/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml

mkdir -p %buildroot/etc/skel/.local/share/applications
mkdir -p %buildroot/etc/skel/Templates

install -m 644 etcskel/Templates/* %buildroot/etc/skel/Templates/


install -m 644 etcskel/.config/Terminal/*  %buildroot/etc/skel/.config/Terminal
install -m 644 etcskel/.config/Thunar/*  %buildroot/etc/skel/.config/Thunar
install -m 644 etcskel/.config/autostart/*  %buildroot/etc/skel/.config/autostart
install -m 644 etcskel/.config/meditrc  %buildroot/etc/skel/.config
install -m 644 etcskel/.config/xfce4-taskmanager.rc  %buildroot/etc/skel/.config/xfce4-taskmanager.rc

install -m 644 etcskel/.config/xfce4/desktop/* %buildroot/etc/skel/.config/xfce4/desktop
install -m 644 etcskel/.config/xfce4/notication-daemon-xfce/* %buildroot/etc/skel/.config/xfce4/notication-daemon-xfce
install -m 644 etcskel/.config/xfce4/panel/* %buildroot/etc/skel/.config/xfce4/panel
install -m 644 etcskel/.config/xfce4/xfconf/xfce-perchannel-xml/* %buildroot/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml
install -m 644 etcskel/.config/xfce4/Xcursor.xrdb %buildroot/etc/skel/.config/xfce4/
install -m 644 etcskel/.config/xfce4/Xft.xrdb %buildroot/etc/skel/.config/xfce4/

install -m 644 etcskel/.local/share/applications/*  %buildroot/etc/skel/.local/share/applications
install -m 644 etcskel/.wm-select %buildroot/etc/skel/

mkdir -p %buildroot/usr/share/xfce4/backdrops
install -m 644 backgrounds/* %buildroot/usr/share/xfce4/backdrops

%files
/etc/skel/Templates
%exclude /etc/skel/Templates/*
/etc/skel/.wm-select
/etc/skel/.config
/etc/skel/.local
/usr/share/xfce4/backdrops

%changelog
* Sun May 31 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0-alt2
- Fixed Thunderbird panel launcher

* Wed May 27 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0-alt1
- Fork from xfce-settings-simple by Eugene Prokopiev

* Thu Oct 09 2008 Eugene Prokopiev <enp@altlinux.ru> 1.0-alt1
- fork from xfce-settings-lite

* Tue Sep 09 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt7
- fixed templates placenent in subpackages
- smarter defaults for mimetypes

* Tue Sep 02 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt6
- templates for office documents added 

* Wed Aug 06 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt5
- added xkb plugin 

* Mon Aug 04 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt4
- fixed desktop menu 

* Thu Jun 05 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt3
- drop TangoKDE usag 

* Thu Mar 06 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt2
- ported to sysiphus 

* Tue Dec 18 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt1
- renamed from xfce-settings-desktop to xfce-settings-lite 

* Tue Dec 04 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.6-alt1
- changed design, added theme, backgrounds 

* Mon Oct 22 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.5-alt1
- Terminal chamged to urxvt 

* Thu Oct 11 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.4-alt1
- some panel buttons moved to subpackages
- added customized menu

* Wed Sep 26 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.3-alt1
- settings for xarchiver added 

* Tue Sep 18 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt1
- .wm-select added 

* Mon Sep 03 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt1
- first build



